> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creditriskmonitor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Configure Trade Provider

> Sets trade provider Id to use if more than one is available.

<Note>
  Use the [**<u>Login</u>**<u> endpoint</u>](/api-reference/user/logs-a-user-in) to retrieve the **`SessionKey`**, then include it in the **Authorization** field for authentication.
</Note>


## OpenAPI

````yaml post /v1/Trade/TradeProviders
openapi: 3.0.0
info:
  version: v2
  title: Credit Risk Monitor API
servers:
  - url: https://api.creditriskmonitor.com
security: []
paths:
  /v1/Trade/TradeProviders:
    post:
      tags:
        - TradeProvider
      summary: "Sets the Trade Provider Id to use if more than one are available.\r\nNecessary for referencing a Business by CustomerId if there are more than 1 Trade Provider Ids on a user account."
      operationId: TradeProvider_SetSessionTradeProvider
      parameters:
        - name: TradeProviderId
          in: query
          description: The TradeProviderId to use
          required: true
          schema:
            format: int32
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponseContainer_String_'
            text/json:
              schema:
                $ref: '#/components/schemas/APIResponseContainer_String_'
            text/html:
              schema:
                $ref: '#/components/schemas/APIResponseContainer_String_'
            application/xml:
              schema:
                $ref: '#/components/schemas/APIResponseContainer_String_'
            text/xml:
              schema:
                $ref: '#/components/schemas/APIResponseContainer_String_'
      security:
        - Bearer: []
components:
  schemas:
    APIResponseContainer_String_:
      description: ''
      type: object
      properties:
        Success:
          description: ''
          type: boolean
        Data:
          description: ''
          type: string
        ErrorCode:
          description: ''
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: >-
        Enter the Session Key with the `Bearer ` prefix, e.g. "Bearer
        abcde12345".

````